io.netty.handler.codec.mqtt

## Class MqttMessageBuilders.ConnAckBuilder

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageBuilders.ConnAckBuilder

Enclosing class:
  MqttMessageBuilders

    public static final class MqttMessageBuilders.ConnAckBuilder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttConnAckMessage` `build()`
`MqttMessageBuilders.ConnAckBuilder` `properties(MqttMessageBuilders.PropertiesInitializer<MqttMessageBuilders.ConnAckPropertiesBuilder> consumer)`
`MqttMessageBuilders.ConnAckBuilder` `properties(MqttProperties properties)`
`MqttMessageBuilders.ConnAckBuilder` `returnCode(MqttConnectReturnCode returnCode)`
`MqttMessageBuilders.ConnAckBuilder` `sessionPresent(boolean sessionPresent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### returnCode

    public MqttMessageBuilders.ConnAckBuilder returnCode(MqttConnectReturnCode returnCode)

#### sessionPresent

    public MqttMessageBuilders.ConnAckBuilder sessionPresent(boolean sessionPresent)

#### properties

    public MqttMessageBuilders.ConnAckBuilder properties(MqttProperties properties)

#### properties

    public MqttMessageBuilders.ConnAckBuilder properties(MqttMessageBuilders.PropertiesInitializer<MqttMessageBuilders.ConnAckPropertiesBuilder> consumer)

#### build

    public MqttConnAckMessage build()